# -*- encoding: utf-8 -*-
# stub: sneakers 2.12.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sneakers".freeze
  s.version = "2.12.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dotan Nahum".freeze]
  s.date = "2024-05-16"
  s.description = " Fast background processing framework for Ruby and RabbitMQ ".freeze
  s.email = ["jondotan@gmail.com".freeze]
  s.executables = ["sneakers".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "ChangeLog.md".freeze, "Dockerfile".freeze, "Dockerfile.slim".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/ci/install_on_debian.sh".freeze, "bin/sneakers".freeze, "docker-compose.yml".freeze, "examples/benchmark_worker.rb".freeze, "examples/max_retry_handler.rb".freeze, "examples/metrics_worker.rb".freeze, "examples/middleware_worker.rb".freeze, "examples/newrelic_metrics_worker.rb".freeze, "examples/profiling_worker.rb".freeze, "examples/sneakers.conf.rb.example".freeze, "examples/title_scraper.rb".freeze, "examples/workflow_worker.rb".freeze, "lib/sneakers.rb".freeze, "lib/sneakers/cli.rb".freeze, "lib/sneakers/concerns/logging.rb".freeze, "lib/sneakers/concerns/metrics.rb".freeze, "lib/sneakers/configuration.rb".freeze, "lib/sneakers/content_type.rb".freeze, "lib/sneakers/error_reporter.rb".freeze, "lib/sneakers/errors.rb".freeze, "lib/sneakers/handlers/maxretry.rb".freeze, "lib/sneakers/handlers/oneshot.rb".freeze, "lib/sneakers/metrics/logging_metrics.rb".freeze, "lib/sneakers/metrics/newrelic_metrics.rb".freeze, "lib/sneakers/metrics/null_metrics.rb".freeze, "lib/sneakers/metrics/statsd_metrics.rb".freeze, "lib/sneakers/middleware/config.rb".freeze, "lib/sneakers/publisher.rb".freeze, "lib/sneakers/queue.rb".freeze, "lib/sneakers/runner.rb".freeze, "lib/sneakers/spawner.rb".freeze, "lib/sneakers/support/production_formatter.rb".freeze, "lib/sneakers/support/utils.rb".freeze, "lib/sneakers/tasks.rb".freeze, "lib/sneakers/version.rb".freeze, "lib/sneakers/worker.rb".freeze, "lib/sneakers/workergroup.rb".freeze, "log/.gitkeep".freeze, "scripts/local_integration".freeze, "scripts/local_worker".freeze, "sneakers.gemspec".freeze, "spec/fixtures/integration_worker.rb".freeze, "spec/fixtures/require_worker.rb".freeze, "spec/sneakers/cli_spec.rb".freeze, "spec/sneakers/concerns/logging_spec.rb".freeze, "spec/sneakers/concerns/metrics_spec.rb".freeze, "spec/sneakers/configuration_spec.rb".freeze, "spec/sneakers/content_type_spec.rb".freeze, "spec/sneakers/integration_spec.rb".freeze, "spec/sneakers/publisher_spec.rb".freeze, "spec/sneakers/queue_spec.rb".freeze, "spec/sneakers/runner_spec.rb".freeze, "spec/sneakers/sneakers_spec.rb".freeze, "spec/sneakers/support/utils_spec.rb".freeze, "spec/sneakers/worker_handlers_spec.rb".freeze, "spec/sneakers/worker_spec.rb".freeze, "spec/sneakers/workergroup_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://sneakers.io".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Fast background processing framework for Ruby and RabbitMQ".freeze
  s.test_files = ["spec/fixtures/integration_worker.rb".freeze, "spec/fixtures/require_worker.rb".freeze, "spec/sneakers/cli_spec.rb".freeze, "spec/sneakers/concerns/logging_spec.rb".freeze, "spec/sneakers/concerns/metrics_spec.rb".freeze, "spec/sneakers/configuration_spec.rb".freeze, "spec/sneakers/content_type_spec.rb".freeze, "spec/sneakers/integration_spec.rb".freeze, "spec/sneakers/publisher_spec.rb".freeze, "spec/sneakers/queue_spec.rb".freeze, "spec/sneakers/runner_spec.rb".freeze, "spec/sneakers/sneakers_spec.rb".freeze, "spec/sneakers/support/utils_spec.rb".freeze, "spec/sneakers/worker_handlers_spec.rb".freeze, "spec/sneakers/worker_spec.rb".freeze, "spec/sneakers/workergroup_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<serverengine>.freeze, ["< 3"])
    s.add_runtime_dependency(%q<bunny>.freeze, ["~> 2.14"])
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rake>.freeze, ["< 14"])
    s.add_development_dependency(%q<rabbitmq_http_api_client>.freeze, [">= 0"])
    s.add_development_dependency(%q<redis>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rake>.freeze, ["< 14"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_development_dependency(%q<rr>.freeze, ["< 4"])
    s.add_development_dependency(%q<unparser>.freeze, ["= 0.2.2"])
    s.add_development_dependency(%q<metric_fu>.freeze, ["~> 4.12"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    s.add_development_dependency(%q<simplecov-rcov-text>.freeze, [">= 0"])
    s.add_development_dependency(%q<guard>.freeze, ["~> 2.15"])
    s.add_development_dependency(%q<guard-minitest>.freeze, ["~> 2.4"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.7"])
  else
    s.add_dependency(%q<serverengine>.freeze, ["< 3"])
    s.add_dependency(%q<bunny>.freeze, ["~> 2.14"])
    s.add_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<rabbitmq_http_api_client>.freeze, [">= 0"])
    s.add_dependency(%q<redis>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_dependency(%q<rr>.freeze, ["< 4"])
    s.add_dependency(%q<unparser>.freeze, ["= 0.2.2"])
    s.add_dependency(%q<metric_fu>.freeze, ["~> 4.12"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    s.add_dependency(%q<simplecov-rcov-text>.freeze, [">= 0"])
    s.add_dependency(%q<guard>.freeze, ["~> 2.15"])
    s.add_dependency(%q<guard-minitest>.freeze, ["~> 2.4"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 3.7"])
  end
end
